# Changed by Makefile of cvs.
# DON'T MODIFY THIS FILE OUT OF CVS!

%define version 0.9.1
%define name rfbdrake

Summary:	Remote Frame Buffer configuration/launcher tool 
Name:		%{name}
Version:	%{version}
Release:    10mdk
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}16.png.bz2
Source2:	%{name}32.png.bz2
Source3:	%{name}48.png.bz2
License:	GPL
URL:		http://people.mandrakesoft.com/~daouda/mandrake/rfbdrake.html
Group:		System/Configuration/Other
Requires:	drakxtools >= 9.1-0.20mdk, perl-GTK2, 
Requires:   expect , vnc, rfb, rdesktop >= 1.2.0
BuildArch: noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rfbdrake is a tool to setup a client/server remote framebuffer
for virtual network computing. It use vncviewer backend at the
client side and x0rfbserver for the server side.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} rfbdrake

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="rfbdrake.png" \
section="Networking/Remote access" \
title="Virtual Network Connection" \
longtitle="A remote frame buffer tool" \
command="/usr/X11R6/bin/rfbdrake"
EOF

# symbolic link to drakremote 
ln -sf %{_prefix}/X11R6/bin/rfbdrake  ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakremote

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f rfbdrake.lang
%defattr(-,root,root)
%doc README COPYING
%{_prefix}/X11R6/bin/*
%{_prefix}/bin/*
%{_datadir}/rfbdrake
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Fri Feb 21 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-10mdk
- po updates
- cosmetic bug fix

* Sat Feb  8 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-9mdk
- snapshot (perl cleanup)

* Thu Feb  6 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-8mdk
- code snapshot :
  o added full screen mode (MdkAct)
  o added automatic keyboard detection (me)
  o WTS page cosmetic changes (MdkAct) 

* Tue Feb  4 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-7mdk
- Add keymaps handle for different language in WTS session.
- rdesktop 1.2.0 aware.
- updated requires 

* Tue Jan 28 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-6mdk
- code update.

* Tue Jan 14 2003 Daouda LO <daouda@mandrakesoft.com> 0.9.1-5mdk
- add combo box to choose resolution size in WTS page 
     thanx to Chris Weiss (chrisw at wilsonmfg.com)

* Thu Dec 26 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-4mdk
- corrected bug ( when "touch-ing" history files)

* Thu Dec 26 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-3mdk
- BuildArch = noarch
- remove bad locale (/usr/share/locale/rfbdrake/)

* Thu Dec 26 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-2mdk
- resynced with spec file in cvs.
  o nearly rewritten
  o Code cleanup

* Tue Dec 24 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.1-1mdk
- Gtk2 port (app nearly rewritten).
- various code cleanup.

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.3-8mdk
- BuildRequires: gettext

* Thu Sep  5 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8.3-7mdk
- rebuild to include latest translations

* Thu Aug  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-6mdk
- rebuild (bad upload)
- adapt vssh.exp to tightvnc

* Thu Aug  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-5mdk
- tightvnc client by default

* Mon Jul 29 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-4mdk
- use alternative tightvnc if no genuine vnc
- cleanups

* Sat Jul 20 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-3mdk
- use set_use_arrows_always for host combos
- set to default host (latest connection)

* Tue May 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-2mdk
- requires updates

* Tue May 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3
- add fullscreen choice to Windows terminal service client 
  (no fullscreen by default)
  This allow users to switch between windows without quitting a 
  running windows terminal services session.

* Mon Apr 15 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-15mdk
- symbolic link: drakremote
- embedded mode

* Sun Mar 10 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-13mdk
- po updates 
- cleanup

* Fri Mar  1 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-12mdk
- po updates

* Wed Feb 20 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-11mdk
- updated po's
- cleanup 

* Tue Feb  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-10mdk
- code update (rdesktop)
- po updates.
- png icons.

* Tue Jan 15 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-9mdk
- requires.
- in-lined help.
- xpm to png icons.

* Mon Jan 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-8mdk
- new pixmaps
- add URL, WTS support
- add requires

* Mon Jan  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-7mdk
- no fullscreen by default 
- multiple access granted

* Thu Jan  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-6mdk
- code update
	o add fullscreen/shared mode
	o better sleep timing

* Tue Dec 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-5mdk
- add hosts history at connection.
- freeze.

* Fri Dec 14 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-4mdk
- code update.
- sleep to get password ready.

* Thu Dec 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-3mdk
- add authentification (DES).
- code update

* Wed Nov 28 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-2mdk
- code update
- add menu entry + icons

* Tue Nov 27 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-1mdk
- release.
- code update.


